## testsrc testsrc |

## Description

This is a simple GstBin source that wraps audiotestsrc/videotestsrc following specification passed in the URI (it implements the GstURIHandler interface) in the form of `testbin://audio+video` or setting the "stream-types" property with the same format.

This element also provides GstStream and GstStreamCollection and thus the element is useful for testing the new playbin3 infrastructure.

Example pipeline: `gst-launch-1.0 playbin uri=testbin://audio,volume=0.5+video,pattern=white`

## Synopsis

### Element Information

plugin | debugutilsbad
author | Erik Walthinsen <omega@cse.ogi.edu>,Wim Taymans <wim.taymans@gmail.com>
class | Generic/Bin

### Element Pads

name | audio_src_%u
direction | source
presence | sometimes
details | audio/x-raw(ANY)

name | video_src_%u
direction | source
presence | sometimes
details | video/x-raw(ANY)

## Functions

## Types and Values